GDB (xrefs)

Public Member Functions | List of all members
gdb.function.caller_is.CallerIs Class Reference
Inheritance diagram for gdb.function.caller_is.CallerIs:

## Public Member Functions
def | __init__ (self)
def | invoke (self, name, nframes=1)
def | __init__ (self)
def | invoke (self, name, nframes=1)

## Detailed Description

    Check the calling function's name.

    Usage:
      $_caller_is(name [, number_of_frames])

    Arguments:

      name: The name of the function to search for.

      number_of_frames: How many stack frames to traverse back from the currently
    selected frame to compare with.  If the value is greater than the depth of
    the stack from that point then the result is False.
    The default is 1.

    Returns:
      True if the function's name at the specified frame is equal to name.

Definition at line 20 of file caller_is.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.function.caller_is.CallerIs.__init__ | ( |  | self | ) |

Definition at line 39 of file caller_is.py.

Referenced by gdb.function.caller_is.CallerIs.__init__().

## ◆ __init__() [2/2]

def gdb.function.caller_is.CallerIs.__init__ | ( |  | self | ) |

Definition at line 39 of file caller_is.py.

References gdb.function.caller_is.CallerIs.__init__().

## Member Function Documentation

## ◆ invoke() [1/2]

def gdb.function.caller_is.CallerIs.invoke | ( |  | self,
|  |  | name,
|  |  | nframes = `1`
| ) |  |

Definition at line 42 of file caller_is.py.

Referenced by gdb.function.caller_is.CallerIs.invoke().

## ◆ invoke() [2/2]

def gdb.function.caller_is.CallerIs.invoke | ( |  | self,
|  |  | name,
|  |  | nframes = `1`
| ) |  |

Definition at line 42 of file caller_is.py.

References gdb.function.caller_is.CallerIs.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/function/caller_is.py